

#                 Startstop Configuration File for Windows NT
#
#    <nRing> is the number of transport rings to create.
#    <Ring> specifies the name of a ring followed by it's size
#    in kilobytes, eg        Ring    WAVE_RING 1024
#    The maximum size of a ring is 1024 kilobytes.
#    Ring names are listed in file earthworm.h.
#
  nRing               5
  Ring   WAVE_RING   1024
  Ring    SCN_RING   1024
  Ring   PICK_RING   1024
  Ring   HYPO_RING  1024
  Ring STATUS_RING   128

#
 MyModuleId       MOD_STARTSTOP  # Module Id for this program
 HeartbeatInt     15             # Heartbeat interval in seconds
 MyPriorityClass  Normal         # For startstop
 LogFile           1             # 1=write a log file to disk, 0=don't, 
				         # 2=write to module log but not stderr/stdout
 KillDelay        5             # number of seconds to wait on shutdown
                                #  for a child process to self-terminate
                                #  before killing it

 PipeName	myEWPipe	# the name of the startstop console pipe to use

 # statmgrDelay		2        # Uncomment to specify the number of seconds
					   # to wait after starting statmgr 
					   # default is 1 second

#
#    PriorityClass values:
#       Idle            4
#       Normal          9 forground, 7 background
#       High            13
#       RealTime        24
#
#    ThreadPriority values:
#       Lowest          PriorityClass - 2
#       BelowNormal     PriorityClass - 1
#       Normal          PriorityClass
#       AboveNormal     PriorityClass + 1
#       Highest         PriorityClass + 2
#       TimeCritical    31 if PriorityClass is RealTime; 15 otherwise
#       Idle            16 if PriorityClass is RealTime; 1 otherwise
#
#    Display can be either NewConsole, NoNewConsole, or MinimizedConsole.
#
#    If the command string required to start a process contains
#    embedded blanks, it must be enclosed in double-quotes.
#    Processes may be disabled by commenting them out.
#    To comment out a line, preceed the line by #.
#
 Process          "copystatus WAVE_RING STATUS_RING"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
#
 Process          "copystatus SCN_RING STATUS_RING"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
#
 Process          "copystatus PICK_RING STATUS_RING"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
#
 Process          "copystatus HYPO_RING STATUS_RING"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole

 Process          "statmgr statmgr.d"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
#
 Process          "wave_serverV wave_serverV.d"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
#
 Process          "pick_ew pick_ew.d"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
#
 Process          "binder_ew binder_ew.d"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
#
 Process          "eqproc eqproc.d"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
#
 Process          "scn2scnl scn2scnl.d"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
#
 Process          "tankplayer tankplayer.d"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
#
 Process          "localmag localmag.d"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
#
 Process          "carlstatrig carlstatrig.d"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
#
 Process          "carlsubtrig carlsubtrig_nm.d"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
#
 Process          "ew2file ew2file.d"
 PriorityClass     Normal
 ThreadPriority    Normal
 Display           NoNewConsole
